const ExtractTextPlugin = require('extract-text-webpack-plugin')
const ReactRouterStaticWebpackPlugin = require('../src')
const cssnano = require('cssnano')
const config = require('./webpack.config')

config.plugins.push(new ReactRouterStaticWebpackPlugin({
  style: 'style.css',
  mountingPoint: '#root',
}))

module.exports = [{
  entry: './src/routes.js',
  target: 'node',
  output: {
    path: './dist',
    filename: 'prerender.js',
    publicPath: '/',
    libraryTarget: 'commonjs2'
  },
  module: {
    loaders: [{
      test: /\.css/,
      loader: ExtractTextPlugin.extract('css?modules!postcss')
    }, {
      test: /\.js$/,
      loader: 'babel',
      exclude: /node_modules/,
    }, {
      test: /\.jpg/,
      loader: 'file'
    }]
  },
  plugins: [
    new ExtractTextPlugin('style.css', {
      allChunks: true
    })
  ],
  postcss: [cssnano()],
}, config]
